<!-- https://github.com/spring-projects/spring-petclinic/blob/master/src/main/resources/templates/fragments/selectField.html -->
<html>
    <body>
        <form>
            <th:block th:fragment="select (label, name, items)">
                <div class="col-sm-4">
                    <div th:with="valid=${!#fields.hasErrors(name)}"
                         th:class="${'form-group' + (valid ? '' : ' has-error')}"
                         class="form-group">
                        <div class="col-sm-12">
                            <label for="identificationType" th:text="#{label}">[label]</label>


                            <select th:field="*{__${name}__}">
                                <option th:each="item : ${items}" th:value="${item}"
                                        th:text="${item}">[item]</option>
                            </select>
                            <th:block th:if="${!valid}">
                                <span class="label label-danger" th:errors="*{__${name}__}">[error]</span>
                            </th:block>
                        </div>
                    </div><!-- /.form-group -->
                </div><!-- /.col-sm-4 -->
            </th:block>
        </form>
    </body>
</html>